<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnInProductUomTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('product_uom', function (Blueprint $table) {
            $table->bigInteger('e_way_bill_uom_id')->nullable()->unsigned();
            $table->foreign('e_way_bill_uom_id')->references('id')->on('e_way_bill_uom');
          
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('product_uom', function (Blueprint $table) {
            //
        });
    }
}
